Get EVM internal transactions
curl --request GET \
--url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-internal-txsimport requests
url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-internal-txs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-internal-txs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"internal_txs": [
{
"height": 123,
"hash": "<string>",
"parent_index": 123,
"index": 123,
"type": "<string>",
"from": "<string>",
"to": "<string>",
"input": "<string>",
"output": "<string>",
"value": "<string>",
"gas": "<string>",
"gasUsed": "<string>"
}
],
"pagination": {
"previous_key": "<string>",
"next_key": "<string>",
"total": "<string>"
}
}EVM Internal Transactions
Get EVM internal transactions
Returns a paginated list of EVM internal transactions. Only available on EVM chains with internal transaction indexing enabled.
GET
/
indexer
/
tx
/
v1
/
evm-internal-txs
Get EVM internal transactions
Query Parameters
Cursor key for pagination.
Number of records to skip.
Maximum number of records to return. Defaults to 100.
Whether to return the total count. Defaults to true.
When true, returns results in descending order. Defaults to true.
Was this page helpful?
⌘I